Bug 517338 - Review Request: irssi-xmpp is an irssi plugin to connect to the Jabber network
Summary: Review Request: irssi-xmpp is an irssi plugin to connect to the Jabber network
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Caius Chance
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-13 14:54 UTC by Nikola Pajkovsky
Modified: 2014-02-02 22:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-24 15:24:02 UTC
me: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Nikola Pajkovsky 2009-08-13 14:54:04 UTC
SPEC: http://www.package-review.xf.cz/irssi-xmpp.spec
SRPM: http://package-review.xf.cz/irssi-xmpp-0.50-1.fc12.src.rpm
PATCH: http://www.package-review.xf.cz/irssi-xmpp-0.50-config.patch

Description:
irssi-xmpp is an irssi plugin to connect to the Jabber network

    *  Sending and receiving messages in irssi's query windows
    * A roster with contact & resource tracking (contact list)
    * Contact management (add, remove, manage subscriptions)
    * Tab completion of commands, JIDs and resources
    * Many extensions supported (XEP) including Multi-User Chat (MUC)
    * Support for multiple accounts
    * Unicode support (UTF-8)
    * SSL support
    * ...

Comment 1 Caius Chance 2009-08-14 01:51:22 UTC
$ rpmlint irssi-xmpp.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

FYI (not mandatory), you could use marcos like %__rm and %__make to replace rm and make.

Comment 2 Caius Chance 2009-08-14 01:55:20 UTC
mock failed:

DEBUG util.py:256:  ##################################################
DEBUG util.py:256:  error: unpacking of archive failed on file /builddir/build/SOURCES/irssi-xmpp-0.50.tar.gz;4a84c470: cpio: read failed - Invalid argument
DEBUG util.py:256:  error: /builddir/build/originals/irssi-xmpp-0.50-1.fc12.src.rpm cannot be installed
DEBUG util.py:319:  Child returncode was: 1

Comment 4 Andrew Colin Kissa 2009-08-17 14:01:09 UTC
You need to increment you spec file version when ever you make a change to it.

Comment 5 Nikola Pajkovsky 2009-08-17 14:11:46 UTC
I thought that's not needed in initial build. Because there will be written only my mistakes when I tried to make new package.

Comment 6 Nikola Pajkovsky 2009-08-18 10:06:37 UTC
SPEC: http://www.package-review.xf.cz/irssi-xmpp.spec
SRPM: http://package-review.xf.cz/irssi-xmpp-0.50-2.fc12.src.rpm

changes were written in spec and incremented version.

Comment 7 Caius Chance 2010-02-24 07:47:08 UTC
I built the rpm and srpm, then

$ rpmlint SRPMS/irssi-xmpp-0.50-2.fc12.src.rpm RPMS/x86_64/irssi-xmpp-0.50-2.fc12.x86_64.rpm
irssi-xmpp.x86_64: E: zero-length /usr/share/doc/irssi-xmpp-0.50/help/roster
irssi-xmpp.x86_64: E: zero-length /usr/share/doc/irssi-xmpp-0.50/help/presence
2 packages and 0 specfiles checked; 2 errors, 0 warnings.

Comment 8 Caius Chance 2010-02-24 07:52:05 UTC
- Description has no full stop.

Other then that it looks ok to me. Please look for a sponsor as this is a new package.

Comment 9 Nikola Pajkovsky 2010-02-24 09:46:19 UTC
I will fix full stop when it will come to cvs. Please give me fedora‑review+

Comment 10 Caius Chance 2010-02-25 00:07:40 UTC
I got no power to approve new package. Let's get things fix so we could grab a sponsor to give you the flag. :)

Comment 11 Nikola Pajkovsky 2010-02-25 09:34:00 UTC
I don't need sponsor, because I am already maintainer of many packages ;)

Comment 12 Caius Chance 2010-03-01 01:14:35 UTC
Thanks very much. Set flag.

Comment 13 Nikola Pajkovsky 2010-03-01 09:54:45 UTC
New Package CVS Request
=======================
Package Name: irssi-xmpp
Short Description: irssi-xmpp is an irssi plugin to connect to the Jabber network
Owners: npajkovs
Branches: F-14
InitialCC:

Comment 14 Jason Tibbitts 2010-03-02 02:13:39 UTC
This ticket is not assigned to anyone.  It should be assigned to the reviewer.
Please fix and re-set the fedora-cvs flag.

Comment 15 Caius Chance 2010-03-09 01:19:26 UTC
Hi npajkovs, when you request cvs you should set flag to '?' instead of '+'.

(In reply to comment #14)
> This ticket is not assigned to anyone.  It should be assigned to the reviewer.
> Please fix and re-set the fedora-cvs flag.    

I am the reviewer assignee. Please kindly create cvs for Nikola. Thank you very much.

Comment 16 Kevin Fenzi 2010-03-09 06:30:22 UTC
This package has a few issues left: 

- It doesn't seem to use the standard fedora CFLAGS
- You should include COPYING README NEWS TODO as doc files. 
- This builds here on f12, but not on devel/rawhide.
- The source0 url is invalid here. Gives a 404: not found.

Comment 17 Jason Tibbitts 2010-03-11 19:29:38 UTC
Clearing the fedora-cvs flag since this review still has a ways to go yet.

Comment 18 Nikola Pajkovsky 2010-03-21 15:56:28 UTC
Oki, I've made a new build for f14 and fix Kevin's suggestion.

spec: http://npajkovs.fedorapeople.org/irssi-xmpp.spec
srpm: http://npajkovs.fedorapeople.org/irssi-xmpp-0.50-3.fc14.src.rpm

Comment 19 Kevin Fenzi 2010-03-24 04:04:09 UTC
Thanks Nikola.

CVS done (by process-cvs-requests.py).

We aren't doing F-14 branches yet, so I just did devel here. 
If you need other branches, please add a template and set the fedora-cvs flag again.

Comment 20 Nikola Pajkovsky 2010-03-24 10:10:38 UTC
Thanks Kevin, no that's fine like you did ;)


Note You need to log in before you can comment on or make changes to this bug.